Last Comment Bug 785480 - New Tb Appmenu Button Should Show in Calendar Tab and have Calendar Functions
: New Tb Appmenu Button Should Show in Calendar Tab and have Calendar Functions
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: 1.9
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: 792849 808412
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 12:45 PDT by Sean Smith
Modified: 2012-11-04 09:16 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
WIP (6.50 KB, patch)
2012-08-25 02:02 PDT, Richard Marti (:Paenglab)
no flags Details | Diff | Review
WIP v2 (17.03 KB, patch)
2012-08-25 11:11 PDT, Richard Marti (:Paenglab)
philipp: review+
philipp: approval‑calendar‑aurora+
Details | Diff | Review

Description Sean Smith 2012-08-24 12:45:18 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20120824030530

Steps to reproduce:

After being able to hide the menu bar by default and then landing bug 650170 the appmenu button should also show when you are in the calendar tab (if Lightning is installed).  Some of the calendaring tasks should also be in the new appmenu.


Actual results:

Tb appmenu button is not shown on the toolbar in the calendar tab.


Expected results:

The appmenu button should show in the calendar tab and ideally be populated with common calendaring tasks.
Comment 1 WaltS48 2012-08-24 16:57:06 PDT
Problem also exists with User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/17.0 Thunderbird/17.0a1 Build ID: 20120824030532

The menu item Events and Tasks is missing from the appmenu button.
Comment 2 Richard Marti (:Paenglab) 2012-08-25 02:02:56 PDT
Created attachment 655285 [details] [diff] [review]
WIP

This patch contains only the AppMenu integration.

Philipp, please can you help to integrate 'button-appmenu' from mailWindowOverlay.xul into the calendar- and task-toolbar. After the IRC talk some time ago this should be doable, but I have no clue how to do this.
Comment 3 Stefan Sitter 2012-08-25 02:26:28 PDT
I think there are two problems here:

1) The app menu button should be always visible like in Firefox. Currently it is only visible in mail tabs but is not visible in other tabs like add-ons tab, content tabs, calendar tab, ... This should be fixed in Thunderbird. Current workaround: Move the button from mail toolbar to the global tab toolbar.

2) Reintegrate all or most calendar functions into the new app menu, i.e. the functions that are currently available from File menu, Edit menu, View menu, and Events & Tasks menu. This can be done in Lightning.
Comment 4 Richard Marti (:Paenglab) 2012-08-25 02:47:02 PDT
(In reply to Stefan Sitter from comment #3)
> I think there are two problems here:
> 
> 1) The app menu button should be always visible like in Firefox. Currently
> it is only visible in mail tabs but is not visible in other tabs like
> add-ons tab, content tabs, calendar tab, ... This should be fixed in
> Thunderbird.

If I knew how to do this, I would do this. I'm trying to persuade mconley to help on this, but he has a lot of other thing. Until it's globally fixed we should try to fix this only for Lightning. Maybe I can then use this approach for the global use ;)

> 2) Reintegrate all or most calendar functions into the new app menu, i.e.
> the functions that are currently available from File menu, Edit menu, View
> menu, and Events & Tasks menu. This can be done in Lightning.

My WIP patch is for doing this. Edit and View menu are in the next version.
Comment 5 Richard Marti (:Paenglab) 2012-08-25 11:11:11 PDT
Created attachment 655335 [details] [diff] [review]
WIP v2

Now all menu entrys implemented in AppMenu.

Still need help to implement the AppButton on the Calendar toolbars.
Comment 6 Richard Marti (:Paenglab) 2012-09-15 08:49:54 PDT
Comment on attachment 655335 [details] [diff] [review]
WIP v2

Because the AppButon in all toolbars is done in bug 785692 I'll ask for review of this patch for adding the menus in AppMenu.

I'm also asking for approval‑calendar‑aurora to implement this menu from beginning of the AppMenu.
Comment 7 Philipp Kewisch [:Fallen] 2012-09-18 02:15:51 PDT
Comment on attachment 655335 [details] [diff] [review]
WIP v2

Looks good, r=philipp
Comment 8 Richard Marti (:Paenglab) 2012-09-18 13:47:26 PDT
Pushed to comm-central: http://hg.mozilla.org/comm-central/rev/977cc1465513
and to comm-aurora: http://hg.mozilla.org/releases/comm-aurora/rev/bef5c9d145f7
Comment 9 Stefan Sitter 2012-09-18 14:06:00 PDT
What should happen with menu commands that didn't make it into the new app menu, for example the Open Calendar File command? This command could be added to the calendar list context menu but are there other commands that are now not available anymore?
Comment 10 Richard Marti (:Paenglab) 2012-09-18 14:15:12 PDT
It looks I've missed this menu command. I think this needs a followup bug. I'm not aware of other missing commands.

With ALT or on Linux F10 the standard menu is still available.
Comment 11 Martin Schröder [:mschroeder] 2012-11-04 08:01:02 PST
(In reply to Richard Marti [:Paenglab] from comment #10)
> It looks I've missed this menu command. I think this needs a followup bug.
> I'm not aware of other missing commands.
> 
> With ALT or on Linux F10 the standard menu is still available.

Has the follow-up bug for adding at least the "Open Calendar File" command to the Appmenu already been filed?

Note You need to log in before you can comment on or make changes to this bug.